Table of Contents

Class: FindFileDialog | eric3/UI/FindFileDialog.py
--- | ---

### Class implementing a dialog to search for text in files.

The occurences found are displayed in a QListView widget showing the filename, the linenumber and the found text. The file will be opened upon a double click onto the respective entry of the list.

#### Signals

pythonFile(string, int)
  emitted to open a Python file at a line
designerFile(string)
  emitted to open a Qt-Designer file

Base Classes |
--- | ---
FindFileForm

Methods |
--- | ---
__init__ enableFindButton findPressed getFileList handleDirSelection handleDoubleClick show walkFilter
| __init__

    __init__ (
            self,
            project,
            parent=None,
            )

### Constructor

#### Arguments

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)

| enableFindButton

    enableFindButton ( self )

Private slot called to enable the find button.

| findPressed

    findPressed ( self )

Private slot to handle the find button being pressed.

| getFileList

    getFileList ( self,  path )

### Private method to get a list of files to search.

#### Arguments

path
  the root directory to search in (string)

#### Returns

list of files to be processed (list of strings)

| handleDirSelection

    handleDirSelection ( self )

Private slot to display a directory selection dialog.

| handleDoubleClick

    handleDoubleClick ( self,  itm )

### Private slot to handle the double click.

It emits the signal pythonFile or designerFile depending on the file extension.

#### Arguments

itm
  the double clicked listview item (QListViewItem)

| show

    show ( self,  txt )

### Overwritten method to enable/disable the project button.

#### Arguments

txt
  text to be shown in the searchtext combo (string or QString)

| walkFilter

    walkFilter (
            self,
            arg,
            dirname,
            names,
            )

### Private method used to walk through a directory tree building a list of files we are interested in.

#### Arguments

arg
  variable we add our interesting files to
dirname
  name of directory (string)
names
  filenames of files in directory dirname (list of strings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1